Package org.apache.sling.scripting.sightly.render

## Interface RenderContext

    @ProviderType
    public interface RenderContext

The `RenderContext` defines the context for executing HTL scripts.

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `call​(String functionName, Object... arguments)` Call one of the registered `RuntimeExtension`s.
`Bindings` `getBindings()` Returns the map of script bindings available to HTL scripts.
`RuntimeObjectModel` `getObjectModel()` Provides the `RuntimeObjectModel` that will be used for resolving objects' properties or type conversion / coercion.

### Method Detail

#### getObjectModel

    RuntimeObjectModel getObjectModel()

Provides the `RuntimeObjectModel` that will be used for resolving objects' properties or type conversion / coercion.

Returns:
  the RuntimeObjectModel

#### getBindings

    Bindings getBindings()

Returns the map of script bindings available to HTL scripts.

Returns:
  the global bindings for a script

#### call

    Object call​(String functionName,
                Object... arguments)

Call one of the registered `RuntimeExtension`s.

Parameters:
  `functionName` - the name under which the extension is registered
  `arguments` - the extension's arguments
Returns:
  the `RuntimeExtension`'s result